#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "../component_game_object.h"

typedef struct ComponentBehaviorChase
{
	ECSComponent component;
	f32 speed;
	u32 targetID;
} ComponentBehaviorChase;

void component_behavior_chase_init(ComponentBehaviorChase* self, f32 speed, u32 targetID);
void component_behavior_chase_tick(ComponentBehaviorChase* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_BEHAVIOR_CHASE_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_behavior_chase_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_BEHAVIOR_CHASE,
	.size = sizeof(ComponentBehaviorChase)
};


