#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#define COMPONENT_SPEED_VALUE 1.0f

typedef struct ComponentSpeed
{
	ECSComponent component;
	f32 value;
} ComponentSpeed;

void component_speed_add(ComponentSpeed* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_SPEED_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			(ECSFunction)component_speed_add,
			NULL,
			NULL,
			NULL
		}
	},
	.type = ECS_COMPONENT_SPEED,
	.size = sizeof(ComponentSpeed)
};
