#pragma once

#include "../../ecs_component.h"
#include "../../component/component_game_object.h"

#define CHIP_SPEED 1
#define CHIP_FRICTION 1
#define CHIP_VELOCITY_MAX 50
#define CHIP_GAME_OBJECT_IS_AFFECTED_BY_GRAVITY false
#define CHIP_GAME_OBJECT_IS_BOUNCE false
#define CHIP_GAME_OBJECT_IS_SOLID false

static const vec2 CHIP_SIZE = {75.0f, 75.0f};
static const vec2 CHIP_PHYSICS_SIZE = {45.0f, 15.0f};

void entity_chip_init(ECS* ecs, u32 id, vec3 position, u32 sender);
