#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "../component_game_object.h"

typedef struct ComponentActionGripped
{
	ECSComponent component;
	u32 gripperID;
	bool isGripped;
} ComponentActionGripped;

void component_action_gripped_tick(ComponentActionGripped* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_ACTION_GRIPPED_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_action_gripped_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_ACTION_GRIPPED,
	.size = sizeof(ComponentActionGripped)
};


