#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "../stat/component_goodies.h"
#include "../stat/component_act_entity.h"

typedef struct ComponentActionOnDeleteGiveGoodies
{
	ECSComponent component;
	u32 value;
} ComponentActionOnDeleteGiveGoodies;

void component_action_on_delete_give_goodies_init(ComponentActionOnDeleteGiveGoodies* self, u32 value);
void component_action_on_delete_give_goodies_delete(ComponentActionOnDeleteGiveGoodies* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_ACTION_ON_DELETE_GIVE_GOODIES_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			(ECSFunction)component_action_on_delete_give_goodies_delete, 
			NULL,
			NULL
		}
	},
	.type = ECS_COMPONENT_ACTION_ON_DELETE_GIVE_GOODIES,
	.size = sizeof(ComponentActionOnDeleteGiveGoodies)
};


