#pragma once

#include "../../component/component_game_object.h"
#include "../../component/stat/component_goodies.h"
#include "../../component/stat/component_fatness.h"
#include "../../ecs_component.h"

#define ELEMENTAL_FRICTION 1
#define ELEMENTAL_VELOCITY_MAX 0
#define ELEMENTAL_GAME_OBJECT_IS_BOUNCE false
#define ELEMENTAL_GAME_OBJECT_IS_AFFECTED_BY_GRAVITY false
#define ELEMENTAL_GAME_OBJECT_IS_SOLID true

static const ivec2 ELEMENTAL_FRAME_SIZE = {512, 512};
static const ivec2 ELEMENTAL_ATLAS_SIZE = {1, 1};
static const vec2 ELEMENTAL_SIZE = {75.0f, 150.0f};
static const vec2 ELEMENTAL_PHYSICS_SIZE = {60.0f, 20.0f};

void entity_elemental_init(ECS* ecs, u32 id, vec3 position);
